TFT_Init_PMPWaitBusy:
;TFT_Init.mbas,23 :: 		sub procedure PMPWaitBusy()
;TFT_Init.mbas,24 :: 		while(PMMODE.BUSY = 1)
L_TFT_Init_PMPWaitBusy2:
LBU	R2, Offset(PMMODE+1)(GP)
EXT	R2, R2, 7, 1
BNE	R2, 1, L_TFT_Init_PMPWaitBusy13
NOP	
J	L_TFT_Init_PMPWaitBusy3
NOP	
L_TFT_Init_PMPWaitBusy13:
;TFT_Init.mbas,25 :: 		nop
NOP	
;TFT_Init.mbas,26 :: 		wend
J	L_TFT_Init_PMPWaitBusy2
NOP	
L_TFT_Init_PMPWaitBusy3:
;TFT_Init.mbas,27 :: 		end sub
L_end_PMPWaitBusy:
JR	RA
NOP	
; end of TFT_Init_PMPWaitBusy
TFT_Init_Set_Index:
;TFT_Init.mbas,29 :: 		sub procedure Set_Index(dim index as byte)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;TFT_Init.mbas,30 :: 		TFT_RS = 0
LBU	R2, Offset(LATB15_bit+1)(GP)
INS	R2, R0, 7, 1
SB	R2, Offset(LATB15_bit+1)(GP)
;TFT_Init.mbas,31 :: 		PMDIN = index
ANDI	R2, R25, 255
SW	R2, Offset(PMDIN+0)(GP)
;TFT_Init.mbas,32 :: 		PMPWaitBusy()
JAL	TFT_Init_PMPWaitBusy+0
NOP	
;TFT_Init.mbas,33 :: 		end sub
L_end_Set_Index:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of TFT_Init_Set_Index
TFT_Init_Write_Command:
;TFT_Init.mbas,35 :: 		sub procedure Write_Command(dim cmd as byte)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;TFT_Init.mbas,36 :: 		TFT_RS = 1
LBU	R2, Offset(LATB15_bit+1)(GP)
ORI	R2, R2, 128
SB	R2, Offset(LATB15_bit+1)(GP)
;TFT_Init.mbas,37 :: 		PMDIN = cmd
ANDI	R2, R25, 255
SW	R2, Offset(PMDIN+0)(GP)
;TFT_Init.mbas,38 :: 		PMPWaitBusy()
JAL	TFT_Init_PMPWaitBusy+0
NOP	
;TFT_Init.mbas,39 :: 		end sub
L_end_Write_Command:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of TFT_Init_Write_Command
TFT_Init_Write_Data:
;TFT_Init.mbas,41 :: 		sub procedure Write_Data(dim _data as word)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;TFT_Init.mbas,42 :: 		TFT_RS = 1
LBU	R2, Offset(LATB15_bit+1)(GP)
ORI	R2, R2, 128
SB	R2, Offset(LATB15_bit+1)(GP)
;TFT_Init.mbas,43 :: 		PMDIN = _data
ANDI	R2, R25, 65535
SW	R2, Offset(PMDIN+0)(GP)
;TFT_Init.mbas,44 :: 		PMPWaitBusy()
JAL	TFT_Init_PMPWaitBusy+0
NOP	
;TFT_Init.mbas,45 :: 		end sub
L_end_Write_Data:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of TFT_Init_Write_Data
TFT_Init_Init_MCU:
;TFT_Init.mbas,47 :: 		sub procedure Init_MCU()
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;TFT_Init.mbas,49 :: 		PMMODE = 0
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R0, Offset(PMMODE+0)(GP)
;TFT_Init.mbas,51 :: 		PMAEN  = 0  ' pins used as normal I/O
SW	R0, Offset(PMAEN+0)(GP)
;TFT_Init.mbas,52 :: 		PMCON  = 0  ' WRSP: Write Strobe Polarity bit     0 = Read strobe active-low (PMWR)
SW	R0, Offset(PMCON+0)(GP)
;TFT_Init.mbas,54 :: 		PMMODE = 0
SW	R0, Offset(PMMODE+0)(GP)
;TFT_Init.mbas,55 :: 		PMAEN = 0
SW	R0, Offset(PMAEN+0)(GP)
;TFT_Init.mbas,56 :: 		PMCON = 0
SW	R0, Offset(PMCON+0)(GP)
;TFT_Init.mbas,57 :: 		PMMODE = 0x0604
ORI	R2, R0, 1540
SW	R2, Offset(PMMODE+0)(GP)
;TFT_Init.mbas,58 :: 		PMCON = 0x8300
ORI	R2, R0, 33536
SW	R2, Offset(PMCON+0)(GP)
;TFT_Init.mbas,59 :: 		TFT_Set_Active(@Set_Index,@Write_Command,@Write_Data)
LUI	R27, #hi_addr(TFT_Init_Write_Data+0)
ORI	R27, R27, #lo_addr(TFT_Init_Write_Data+0)
LUI	R26, #hi_addr(TFT_Init_Write_Command+0)
ORI	R26, R26, #lo_addr(TFT_Init_Write_Command+0)
LUI	R25, #hi_addr(TFT_Init_Set_Index+0)
ORI	R25, R25, #lo_addr(TFT_Init_Set_Index+0)
JAL	_TFT_Set_Active+0
NOP	
;TFT_Init.mbas,60 :: 		TFT_Rotate_180(1)
ORI	R25, R0, 1
JAL	_TFT_Rotate_180+0
NOP	
;TFT_Init.mbas,61 :: 		TP_TFT_Rotate_180(1)
ORI	R25, R0, 1
JAL	_TP_TFT_Rotate_180+0
NOP	
;TFT_Init.mbas,62 :: 		end sub
L_end_Init_MCU:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of TFT_Init_Init_MCU
_Start_TFT:
;TFT_Init.mbas,64 :: 		sub procedure Start_TFT()
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;TFT_Init.mbas,65 :: 		Init_MCU()
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
JAL	TFT_Init_Init_MCU+0
NOP	
;TFT_Init.mbas,66 :: 		TFT_Set_Active(@Set_Index, @Write_Command, @Write_Data)
LUI	R27, #hi_addr(TFT_Init_Write_Data+0)
ORI	R27, R27, #lo_addr(TFT_Init_Write_Data+0)
LUI	R26, #hi_addr(TFT_Init_Write_Command+0)
ORI	R26, R26, #lo_addr(TFT_Init_Write_Command+0)
LUI	R25, #hi_addr(TFT_Init_Set_Index+0)
ORI	R25, R25, #lo_addr(TFT_Init_Set_Index+0)
JAL	_TFT_Set_Active+0
NOP	
;TFT_Init.mbas,67 :: 		TFT_Init(320, 240)
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init+0
NOP	
;TFT_Init.mbas,68 :: 		end sub
L_end_Start_TFT:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _Start_TFT
_TFT_Init_?main:
;TFT_Init.mbas,70 :: 		end.
L_end_TFT_Init_?main:
JR	RA
NOP	
; end of _TFT_Init_?main
