_main:
;RTCC_main.mbas,15 :: 		main:
;RTCC_main.mbas,16 :: 		Start_TFT()
JAL	_Start_TFT+0
NOP	
;RTCC_main.mbas,18 :: 		TFT_Fill_Screen(CL_BLACK)
MOVZ	R25, R0, R0
JAL	_TFT_Fill_Screen+0
NOP	
;RTCC_main.mbas,20 :: 		time_ = 0x23595500        ' set time to 23 hr, 59 min, 55 sec
LUI	R2, 9049
ORI	R2, R2, 21760
SW	R2, Offset(_time_+0)(GP)
;RTCC_main.mbas,21 :: 		date_ = 0x69123102        ' set date to Tuesday 31 DEZ 2069
LUI	R2, 26898
ORI	R2, R2, 12546
SW	R2, Offset(_date_+0)(GP)
;RTCC_main.mbas,24 :: 		SYSKEY = 0xAA996655       ' Write first unlock key to SYSKEY
LUI	R2, 43673
ORI	R2, R2, 26197
SW	R2, Offset(SYSKEY+0)(GP)
;RTCC_main.mbas,25 :: 		SYSKEY = 0x556699AA       ' Write second unlock key to SYSKEY
LUI	R2, 21862
ORI	R2, R2, 39338
SW	R2, Offset(SYSKEY+0)(GP)
;RTCC_main.mbas,27 :: 		RTCWREN_bit = 1           ' RTC Value registers are writeable now
LBU	R2, Offset(RTCWREN_bit+0)(GP)
ORI	R2, R2, 8
SB	R2, Offset(RTCWREN_bit+0)(GP)
;RTCC_main.mbas,29 :: 		ON__RTCCON_bit = 0        ' Turn off the RTCC module
LBU	R2, Offset(ON__RTCCON_bit+1)(GP)
INS	R2, R0, 7, 1
SB	R2, Offset(ON__RTCCON_bit+1)(GP)
;RTCC_main.mbas,31 :: 		while(RTCCON and 0x40)    ' Wait for clock to be turned off
L__main2:
LW	R2, Offset(RTCCON+0)(GP)
ANDI	R2, R2, 64
BNE	R2, R0, L__main45
NOP	
J	L__main3
NOP	
L__main45:
;RTCC_main.mbas,33 :: 		nop                   ' nop takes one processor cycle
NOP	
;RTCC_main.mbas,35 :: 		wend
J	L__main2
NOP	
L__main3:
;RTCC_main.mbas,37 :: 		RTCTIME = time_           ' Set time
LW	R2, Offset(_time_+0)(GP)
SW	R2, Offset(RTCTIME+0)(GP)
;RTCC_main.mbas,38 :: 		RTCDATE = date_           ' Set date
LW	R2, Offset(_date_+0)(GP)
SW	R2, Offset(RTCDATE+0)(GP)
;RTCC_main.mbas,40 :: 		OSCCONSET = 2             ' enable Secondary Oscillator, same as SOSCEN = 1 or OSCCON.1 = 1
ORI	R2, R0, 2
SW	R2, Offset(OSCCONSET+0)(GP)
;RTCC_main.mbas,42 :: 		while(OSCCON and 0x200000)    ' Wait for Secondary Oscillator to be turned on OSCCON.22 is SOSCRDY (Secondary Oscillator Ready),
L__main7:
LW	R3, Offset(OSCCON+0)(GP)
LUI	R2, 32
AND	R2, R3, R2
BNE	R2, R0, L__main47
NOP	
J	L__main8
NOP	
L__main47:
;RTCC_main.mbas,44 :: 		nop                        ' A delay of about 50 ms could be more practical, if there aren't any timecritical aspects
NOP	
;RTCC_main.mbas,46 :: 		wend
J	L__main7
NOP	
L__main8:
;RTCC_main.mbas,50 :: 		ON__RTCCON_bit = 1         ' Turn on the RTCC module
LBU	R2, Offset(ON__RTCCON_bit+1)(GP)
ORI	R2, R2, 128
SB	R2, Offset(ON__RTCCON_bit+1)(GP)
;RTCC_main.mbas,52 :: 		for i = 0 to 23
SB	R0, Offset(_i+0)(GP)
L__main12:
;RTCC_main.mbas,53 :: 		Label_Caption_old[i] = ""
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption_old+0)
ORI	R2, R2, #lo_addr(_Label_Caption_old+0)
ADDU	R2, R2, R3
SB	0, 0(R2)
;RTCC_main.mbas,54 :: 		Label_Caption[i]  = ""
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption+0)
ORI	R2, R2, #lo_addr(_Label_Caption+0)
ADDU	R2, R2, R3
SB	0, 0(R2)
;RTCC_main.mbas,55 :: 		next i
LBU	R3, Offset(_i+0)(GP)
ORI	R2, R0, 23
BNE	R3, R2, L__main49
NOP	
J	L__main15
NOP	
L__main49:
LBU	R2, Offset(_i+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_i+0)(GP)
J	L__main12
NOP	
L__main15:
;RTCC_main.mbas,57 :: 		while TRUE
L__main17:
;RTCC_main.mbas,58 :: 		time_ = RTCTIME
LW	R2, Offset(RTCTIME+0)(GP)
SW	R2, Offset(_time_+0)(GP)
;RTCC_main.mbas,59 :: 		date_ = RTCDATE
LW	R2, Offset(RTCDATE+0)(GP)
SW	R2, Offset(_date_+0)(GP)
;RTCC_main.mbas,61 :: 		Label_Caption = DOW[lo(date_)]        ' Weekday
LBU	R3, Offset(_date_+0)(GP)
ORI	R2, R0, 3
MULTU	R2, R3
MFLO	R3
LUI	R2, #hi_addr(_DOW+0)
ORI	R2, R2, #lo_addr(_DOW+0)
ADDU	R4, R2, R3
ADDIU	R3, GP, Offset(_Label_Caption+0)
MOVZ	R2, R4, R0
JAL	___CS2S+0
NOP	
EXT	R2, R3, 0, 32
SB	R0, 0(R2)
;RTCC_main.mbas,63 :: 		Label_Caption[02] = " "
ORI	R2, R0, 32
SB	R2, Offset(_Label_Caption+2)(GP)
;RTCC_main.mbas,65 :: 		ByteToStr(hi(date_) div 16,txt)       ' high nibble of Day
LBU	R2, Offset(_date_+1)(GP)
SRL	R2, R2, 4
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,66 :: 		Label_Caption[03] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+3)(GP)
;RTCC_main.mbas,67 :: 		ByteToStr(hi(date_) mod 16,txt)       ' low nibble of Day
LBU	R2, Offset(_date_+1)(GP)
ANDI	R2, R2, 15
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,68 :: 		Label_Caption[04] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+4)(GP)
;RTCC_main.mbas,70 :: 		Label_Caption[05] = "."
ORI	R2, R0, 46
SB	R2, Offset(_Label_Caption+5)(GP)
;RTCC_main.mbas,72 :: 		ByteToStr(higher(date_) div 16,txt)   ' high nibble of Month
LBU	R2, Offset(_date_+2)(GP)
SRL	R2, R2, 4
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,73 :: 		Label_Caption[06] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+6)(GP)
;RTCC_main.mbas,74 :: 		ByteToStr(higher(date_) mod 16,txt)   ' low nibble of Month
LBU	R2, Offset(_date_+2)(GP)
ANDI	R2, R2, 15
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,75 :: 		Label_Caption[07] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+7)(GP)
;RTCC_main.mbas,77 :: 		Label_Caption[08] = "."
ORI	R2, R0, 46
SB	R2, Offset(_Label_Caption+8)(GP)
;RTCC_main.mbas,79 :: 		Label_Caption[09] = "2"
ORI	R2, R0, 50
SB	R2, Offset(_Label_Caption+9)(GP)
;RTCC_main.mbas,80 :: 		Label_Caption[10] = "0"
ORI	R2, R0, 48
SB	R2, Offset(_Label_Caption+10)(GP)
;RTCC_main.mbas,81 :: 		ByteToStr(highest(date_) div 16,txt)   ' high nibble of Year
LBU	R2, Offset(_date_+3)(GP)
SRL	R2, R2, 4
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,82 :: 		Label_Caption[11] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+11)(GP)
;RTCC_main.mbas,83 :: 		ByteToStr(highest(date_) mod 16,txt)   ' low nibble of year
LBU	R2, Offset(_date_+3)(GP)
ANDI	R2, R2, 15
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,84 :: 		Label_Caption[12] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+12)(GP)
;RTCC_main.mbas,86 :: 		Label_Caption[13] = " "
ORI	R2, R0, 32
SB	R2, Offset(_Label_Caption+13)(GP)
;RTCC_main.mbas,88 :: 		ByteToStr(highest(time_) div 16,txt)   ' high nibble of hours
LBU	R2, Offset(_time_+3)(GP)
SRL	R2, R2, 4
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,89 :: 		Label_Caption[14] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+14)(GP)
;RTCC_main.mbas,90 :: 		ByteToStr(highest(time_) mod 16,txt)   ' low nibble of hours
LBU	R2, Offset(_time_+3)(GP)
ANDI	R2, R2, 15
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,91 :: 		Label_Caption[15] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+15)(GP)
;RTCC_main.mbas,93 :: 		Label_Caption[16] = ":"
ORI	R2, R0, 58
SB	R2, Offset(_Label_Caption+16)(GP)
;RTCC_main.mbas,95 :: 		ByteToStr(higher(time_) div 16,txt)    ' high nibble of minutes
LBU	R2, Offset(_time_+2)(GP)
SRL	R2, R2, 4
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,96 :: 		Label_Caption[17] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+17)(GP)
;RTCC_main.mbas,97 :: 		ByteToStr(higher(time_) mod 16,txt)    ' low nibble of minutes
LBU	R2, Offset(_time_+2)(GP)
ANDI	R2, R2, 15
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,98 :: 		Label_Caption[18] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+18)(GP)
;RTCC_main.mbas,100 :: 		Label_Caption[19] = ":"
ORI	R2, R0, 58
SB	R2, Offset(_Label_Caption+19)(GP)
;RTCC_main.mbas,102 :: 		ByteToStr(hi(time_) div 16,txt)        ' high nibble of seconds
LBU	R2, Offset(_time_+1)(GP)
SRL	R2, R2, 4
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,103 :: 		Label_Caption[20] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+20)(GP)
;RTCC_main.mbas,104 :: 		ByteToStr(hi(time_) mod 16,txt)        ' low nibble of seconds
LBU	R2, Offset(_time_+1)(GP)
ANDI	R2, R2, 15
LUI	R26, #hi_addr(_txt+0)
ORI	R26, R26, #lo_addr(_txt+0)
ANDI	R25, R2, 255
JAL	_ByteToStr+0
NOP	
;RTCC_main.mbas,105 :: 		Label_Caption[21] = txt[2]
LBU	R2, Offset(_txt+2)(GP)
SB	R2, Offset(_Label_Caption+21)(GP)
;RTCC_main.mbas,107 :: 		if RTCCON.1 = 1 then Label_Caption[22] = "'" end if   ' first half second
LBU	R2, Offset(RTCCON+0)(GP)
EXT	R2, R2, 1, 1
BNE	R2, 1, L__main51
NOP	
J	L__main22
NOP	
L__main51:
ORI	R2, R0, 39
SB	R2, Offset(_Label_Caption+22)(GP)
L__main22:
;RTCC_main.mbas,108 :: 		if RTCCON.1 = 0 then Label_Caption[22] = "." end if   ' second half second
LBU	R2, Offset(RTCCON+0)(GP)
EXT	R2, R2, 1, 1
BEQ	R2, R0, L__main52
NOP	
J	L__main25
NOP	
L__main52:
ORI	R2, R0, 46
SB	R2, Offset(_Label_Caption+22)(GP)
L__main25:
;RTCC_main.mbas,110 :: 		j = 75      ' horizontal start position of the label
ORI	R2, R0, 75
SB	R2, Offset(_j+0)(GP)
;RTCC_main.mbas,111 :: 		for i = 0 to 22
SB	R0, Offset(_i+0)(GP)
L__main28:
;RTCC_main.mbas,112 :: 		if (Label_Caption_old[i] = Label_Caption[i])then
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption_old+0)
ORI	R2, R2, #lo_addr(_Label_Caption_old+0)
ADDU	R5, R2, R3
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption+0)
ORI	R2, R2, #lo_addr(_Label_Caption+0)
ADDU	R2, R2, R3
LBU	R4, 0(R2)
LBU	R2, 0(R5)
ANDI	R3, R2, 255
ANDI	R2, R4, 255
BEQ	R3, R2, L__main53
NOP	
J	L__main33
NOP	
L__main53:
J	L__main34
NOP	
;RTCC_main.mbas,113 :: 		else
L__main33:
;RTCC_main.mbas,114 :: 		TFT_Set_Font(@TFT_defaultFont, CL_BLACK, FO_HORIZONTAL)   ' only delete changed chars
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, #hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, #lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;RTCC_main.mbas,115 :: 		TFT_Write_Char(Label_Caption_old[i], j, 100)
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption_old+0)
ORI	R2, R2, #lo_addr(_Label_Caption_old+0)
ADDU	R2, R2, R3
ORI	R27, R0, 100
LBU	R26, Offset(_j+0)(GP)
LBU	R25, 0(R2)
JAL	_TFT_Write_Char+0
NOP	
;RTCC_main.mbas,117 :: 		TFT_Set_Font(@TFT_defaultFont, CL_GREEN, FO_HORIZONTAL)
MOVZ	R27, R0, R0
ORI	R26, R0, 1024
LUI	R25, #hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, #lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;RTCC_main.mbas,118 :: 		TFT_Write_Char(Label_Caption[i], j, 100)
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption+0)
ORI	R2, R2, #lo_addr(_Label_Caption+0)
ADDU	R2, R2, R3
ORI	R27, R0, 100
LBU	R26, Offset(_j+0)(GP)
LBU	R25, 0(R2)
JAL	_TFT_Write_Char+0
NOP	
;RTCC_main.mbas,119 :: 		end if
L__main34:
;RTCC_main.mbas,121 :: 		if (Label_Caption[i] = ".") or (Label_Caption[i] = ":") then  ' set space between the chars
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption+0)
ORI	R2, R2, #lo_addr(_Label_Caption+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
XORI	R4, R2, 46
SLTIU	R4, R4, 1
BEQ	R4, R0, L__main55
NOP	
ADDIU	R4, R0, -1
L__main55:
LBU	R3, Offset(_i+0)(GP)
LUI	R2, #hi_addr(_Label_Caption+0)
ORI	R2, R2, #lo_addr(_Label_Caption+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
XORI	R2, R2, 58
SLTIU	R2, R2, 1
BEQ	R2, R0, L__main57
NOP	
ADDIU	R2, R0, -1
L__main57:
OR	R2, R4, R2
BNE	R2, R0, L__main59
NOP	
J	L__main36
NOP	
L__main59:
;RTCC_main.mbas,122 :: 		j = j + 5
LBU	R2, Offset(_j+0)(GP)
ADDIU	R2, R2, 5
SB	R2, Offset(_j+0)(GP)
J	L__main37
NOP	
;RTCC_main.mbas,123 :: 		else
L__main36:
;RTCC_main.mbas,124 :: 		j = j + 8
LBU	R2, Offset(_j+0)(GP)
ADDIU	R2, R2, 8
SB	R2, Offset(_j+0)(GP)
;RTCC_main.mbas,125 :: 		end if
L__main37:
;RTCC_main.mbas,127 :: 		if i = 0 then j = j + 3 end if    ' necessary, otherwise some of the second chars of the weekday will overwrite the first one
LBU	R2, Offset(_i+0)(GP)
BEQ	R2, R0, L__main60
NOP	
J	L__main39
NOP	
L__main60:
LBU	R2, Offset(_j+0)(GP)
ADDIU	R2, R2, 3
SB	R2, Offset(_j+0)(GP)
L__main39:
;RTCC_main.mbas,128 :: 		next i
LBU	R3, Offset(_i+0)(GP)
ORI	R2, R0, 22
BNE	R3, R2, L__main62
NOP	
J	L__main31
NOP	
L__main62:
LBU	R2, Offset(_i+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_i+0)(GP)
J	L__main28
NOP	
L__main31:
;RTCC_main.mbas,130 :: 		Label_Caption_old = Label_Caption
ADDIU	R3, GP, Offset(_Label_Caption_old+0)
ADDIU	R2, GP, Offset(_Label_Caption+0)
JAL	___CS2S+0
NOP	
EXT	R2, R3, 0, 32
SB	R0, 0(R2)
;RTCC_main.mbas,132 :: 		delay_ms(250)
LUI	R24, 101
ORI	R24, R24, 47530
L__main41:
ADDIU	R24, R24, -1
BNE	R24, R0, L__main41
NOP	
;RTCC_main.mbas,133 :: 		wend
J	L__main17
NOP	
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
